This article is related to all MeshForce products. (M1, M3 and M3 Dot)

My Mesh app requires your iOS is 8.0 or later version , Android 4.3 or later version.

My Mesh app is compatible with most of the smartphones on the market.

*If you are using Kindle Fire or amazon devices, please install Google Play first.

Did this answer your question?